Bug 95032 - Shadow "clear" not retained
Summary: Shadow "clear" not retained
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: medium minor
Assignee: Justin L
URL:
Whiteboard: interoperability
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Paragraph
  Show dependency treegraph
 
Reported: 2015-10-14 03:08 UTC by Matthew Holloway
Modified: 2021-02-09 07:23 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
See paragraph 7 that starts with "This friend, and Sir Walter" ... (52.70 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-10-14 03:08 UTC, Matthew Holloway
Details
NO BORDER: How MSWord renders this paragraph (30.77 KB, image/png)
2015-10-14 03:10 UTC, Matthew Holloway
Details
WITH BORDER: How LibreOffice renders this paragraph (30.99 KB, image/png)
2015-10-14 03:11 UTC, Matthew Holloway
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Holloway 2015-10-14 03:08:37 UTC
Created attachment 119583 [details]
See paragraph 7 that starts with "This friend, and Sir Walter" ...

In the attached document paragraph 7 has a border of 0.5pt in MSWord and 0.05pt in LibreOffice.

Further the colour is "clear" in MSWord and black in LibreOffice.
Comment 1 Matthew Holloway 2015-10-14 03:10:47 UTC
Created attachment 119584 [details]
NO BORDER: How MSWord renders this paragraph
Comment 2 Matthew Holloway 2015-10-14 03:11:10 UTC
Created attachment 119585 [details]
WITH BORDER: How LibreOffice renders this paragraph
Comment 3 Joel Madero 2015-10-14 03:40:44 UTC
Hey Matthew -
It would be really nice if you cut these sample files down to just the problem areas - the less extraneous stuff the better. Also, if it's a regression go ahead and tag it as "regression" in the keywords. Thanks
Comment 4 Buovjaga 2015-10-14 16:52:56 UTC
Reproduced, but not seen in 3.5.0, so regression.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)

4.3.0.1

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 5 raal 2015-12-12 19:47:23 UTC
reproducible with Version: 4.2.0.0.alpha1+
Comment 6 Joel Madero 2015-12-14 02:35:07 UTC
 56c2c5322acece36622b6cd89d5ee1a679a92a10 is the first bad commit
commit 56c2c5322acece36622b6cd89d5ee1a679a92a10
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Mon May 12 11:32:38 2014 +0000

    source-hash-1393ba60b1eb43b55820f74c393da04308221d97
    
    commit 1393ba60b1eb43b55820f74c393da04308221d97
    Author:     Jacobo Aragunde Pérez <jaragunde@igalia.com>
    AuthorDate: Mon Apr 14 18:53:34 2014 +0200
    Commit:     Jacobo Aragunde Pérez <jaragunde@igalia.com>
    CommitDate: Tue Apr 15 11:35:49 2014 +0200
    
        fdo#70838: fix rotation transformation in DML exporter
    
        This patch fixes an error in commit
        c6ff03f37a6898f50a5ca07152168fb4fe911e05.
    
        And now that fdo#75722 is fixed, I completed the existing unit test
        for this bug with absolute position checks.
    
        Change-Id: I76b4fa046db9b946fd23194e91686ffa4fcb5362

:100644 100644 226e74c021ac4e6d0560177fdaf967537e62eafd 6a3e69c3aa9dd09de4e127476c95aa237c202555 M	ccache.log
:100644 100644 328b77b163dba2006e08253b18c294f20eb37613 7b3a333f4efac8f989323be1e18423b3e836636d M	commitmsg
:100644 100644 4e02df5ce2d8077c9f1b43ca755222e3822702ab 00d4e3c787e44326bc4f0028d55716beee5de6c5 M	make.log
:040000 040000 870d9504a6f332ebac1217183a5048d0dfe85382 ba57238154369f4453dbff613dea1c2733d8d76e M	opt


# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect good 4850941efe43ae800be5c76e1102ab80ac2c085d
# good: [a900e72b6357882284c5955bdf939bf14269f5fb] source-hash-dd1050b182260a26a1d0ba6d0ef3a6fecc3f4e07
git bisect good a900e72b6357882284c5955bdf939bf14269f5fb
# skip: [e80660c5a1d812cd04586dae1f22767fc3778c4a] source-hash-07c60c8ee2d1465544a6a39e57bc06b3690b8dfb
git bisect skip e80660c5a1d812cd04586dae1f22767fc3778c4a
# good: [df9bcaed2faa2a8d11b19f877cdff3a12a887278] source-hash-6ba9692d8bbe3e3c245aca9a7c928e81178d05f1
git bisect good df9bcaed2faa2a8d11b19f877cdff3a12a887278
# bad: [741197a13a361480f59eeb3bd1401f984f49f1c0] source-hash-9a61470eb1fa161cba70f2e9c4ea8817dc7f617e
git bisect bad 741197a13a361480f59eeb3bd1401f984f49f1c0
# skip: [60da347518798811f7adbfbf1eb07d59cd9f08bf] source-hash-28fc951233a58fb4d8515ed4380140aaee0afd32
git bisect skip 60da347518798811f7adbfbf1eb07d59cd9f08bf
# bad: [0acca754077bf74469c3e1a3c7eabbc3da795266] source-hash-5e651d4084df7662b56ea980934c0428ba31b062
git bisect bad 0acca754077bf74469c3e1a3c7eabbc3da795266
# bad: [465e2be02951f9645beb3024506a5212907caf5f] source-hash-674801eb4af21c9ae83c122499f15fa4f4785b0f
git bisect bad 465e2be02951f9645beb3024506a5212907caf5f
# bad: [56c2c5322acece36622b6cd89d5ee1a679a92a10] source-hash-1393ba60b1eb43b55820f74c393da04308221d97
git bisect bad 56c2c5322acece36622b6cd89d5ee1a679a92a10
# first bad commit: [56c2c5322acece36622b6cd89d5ee1a679a92a10] source-hash-1393ba60b1eb43b55820f74c393da04308221d97
Comment 7 Xisco Faulí 2016-10-05 23:30:47 UTC
Regression introduced by

author	PriyankaGaikwad <priyanka.gaikwad@synerzip.com>	2014-04-09 09:20:39 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2014-04-15 08:55:29 (GMT)
commit 1f274be55e8c7028bf003786e9b2784909760d07 (patch)
tree f8e6726c096c7437b77df1502cfeed579d4beb45
parent 762660eec225d69f5284f22f6ff5f4b4108fe288 (diff)

Line spacing is not preserved for styles.

Description :
In StyleSheetTable.cxx, while setting the property "ParaInteropGrabBag" throws an exception.
Hence rest of the properties are not set.

Implimentation :
Skip that property so that rest of the properties will not be lost.

Adding Cc: to PriyankaGaikwad
Comment 8 QA Administrators 2018-06-26 02:44:41 UTC Comment hidden (obsolete, spam)
Comment 9 Xisco Faulí 2019-10-16 10:37:58 UTC
Still reproducible in

Version: 6.4.0.0.alpha0+
Build ID: e2d82611088677f8ec9f038639567f2d7c699b5e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@László Németh, this issue was introduced by the same commit as bug 127814, which you fixed recently, I thought you might be interested in this one as well....
Comment 10 László Németh 2020-05-06 14:09:01 UTC
Xisco: it seems, this was fixed in master.
Comment 11 NISZ LibreOffice Team 2020-05-07 06:34:23 UTC
With reverse bibisect, this was the fix:

Bibisected using bibisect-win64-6.5 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=4ca73073a0d7c62b12a7354f76f8f80adc5d98c1
author: Justin Luth <justin.luth@collabora.com>
committer: Miklos Vajna <vmiklos@collabora.com>
summary: tdf#129522 SvxShadowItem/writerfilter: allow shadow_NONE overrides
Comment 12 Buovjaga 2020-05-07 06:35:59 UTC
Thanks, let's change status to fixed.
Comment 13 NISZ LibreOffice Team 2021-02-09 07:23:19 UTC
Verified in
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 44b914b1e2616ca8f70e896e653a46ca93610234
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded